# Couenne::CouenneInterface Class Reference

`#include <BonCouenneInterface.hpp>`

List of all members.

## Public Member Functions
| CouenneInterface ()
| Default constructor.
| CouenneInterface (const CouenneInterface &other)
| Copy constructor.
virtual CouenneInterface * | clone (bool CopyData)
| virutal copy constructor.
virtual | ~CouenneInterface ()
| Destructor.
virtual std::string | appName ()
## Overloaded methods to build outer approximations
bool | have_nlp_solution_
| true if we got an integer feasible solution from initial solve
virtual void | extractLinearRelaxation (OsiSolverInterface &si, CouenneCutGenerator &couenneCg, bool getObj=1, bool solveNlp=1)
| Extract a linear relaxation of the MINLP.
virtual void | setAppDefaultOptions (Ipopt::SmartPtr< Ipopt::OptionsList > Options)
| To set some application specific defaults.
bool | haveNlpSolution ()
| return value of have_nlp_solution_

## Detailed Description

Definition at line 33 of file BonCouenneInterface.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneInterface::CouenneInterface | ( |  | ) |

Default constructor.

Couenne::CouenneInterface::CouenneInterface | ( | const CouenneInterface & | other | ) |

Copy constructor.

virtual Couenne::CouenneInterface::~CouenneInterface | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual CouenneInterface* Couenne::CouenneInterface::clone | ( | bool | CopyData | ) | `[virtual]`

virutal copy constructor.

virtual std::string Couenne::CouenneInterface::appName | ( |  | ) | `[inline, virtual]`

Definition at line 49 of file BonCouenneInterface.hpp.

virtual void Couenne::CouenneInterface::extractLinearRelaxation | ( | OsiSolverInterface & | si,
|  | CouenneCutGenerator & | couenneCg,
|  | bool | getObj = `1`,
|  | bool | solveNlp = `1` |
| ) |  |  | `[virtual]`

Extract a linear relaxation of the MINLP.

Solve the continuous relaxation and takes first-order outer-approximation constraints at the optimum. The put everything in an OsiSolverInterface.

virtual void Couenne::CouenneInterface::setAppDefaultOptions | ( | Ipopt::SmartPtr< Ipopt::OptionsList > | Options | ) | `[virtual]`

To set some application specific defaults.

bool Couenne::CouenneInterface::haveNlpSolution | ( |  | ) | `[inline]`

return value of have_nlp_solution_

Definition at line 73 of file BonCouenneInterface.hpp.

References have_nlp_solution_.

## Member Data Documentation

bool Couenne::CouenneInterface::have_nlp_solution_`[protected]`

true if we got an integer feasible solution from initial solve

Definition at line 79 of file BonCouenneInterface.hpp.

Referenced by haveNlpSolution().

The documentation for this class was generated from the following file:

- BonCouenneInterface.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines